Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2135357 - F35FailsToInstall: flocq
Summary: F35FailsToInstall: flocq
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: flocq
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-10-17 11:18 UTC by Miro Hrončok
Modified: 2022-10-26 17:34 UTC (History)
1 user (show)

Fixed In Version: flocq-3.4.2-4.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-26 17:34:49 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2022-10-17 11:18:15 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (flocq) Fails To Install in Fedora 35:

can't install flocq:
  - nothing provides ocamlx(NCoq_Init_Datatypes) = d7f2e3ad1d9f28f92e9bbc669254e224 needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Init_Logic) = c389941227cb4619e1fe20f2753d6c3a needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Init_Specif) = fdfee754bb28cecff3e1f02de1f5db8d needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Lists_List) = 5f74bb9c016c69dd18319dd1a9f8b6ec needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Numbers_BinNums) = 96b928575fe1f963591b5c308bb9796f needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_PArith_BinPos) = 5ddc2b4d604e948dc202ecd7f3b733a5 needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Reals_Rbasic_fun) = 89cfe53271a24136d4a4f2a0e1351922 needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Reals_Rdefinitions) = 8206debf204ddc208f6306958c814f71 needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_ZArith_BinInt) = 738df20477de9201889f6cee4371c883 needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_ZArith_Zbool) = e9f353df1db3ae8a05b293b4d0b9c541 needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_ZArith_Zpower) = aae623d675514b6aac85ae8225a79fdb needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(Nativecode) = d1acf15e73974d1e00a8432df72f392a needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(Nativevalues) = 8e38a6345c12bdcb389aefd53ae24943 needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Bool_Bool) = 37ea83ac16da74018d2f78da40e78f00 needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Floats_SpecFloat) = f6f7d1ee9221054c5360eb4c48887e96 needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Init_Nat) = 6a967d6a9e07141d664084ba359f5b8e needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_NArith_BinNat) = b0bcf01207ccb5d9b94dfc784fe8f0eb needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Reals_R_sqrt) = 412ffd88a7ce39dba454dc6770cfeb50 needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Reals_Rfunctions) = 1e28d6b940bbec126badc2b057351770 needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Reals_Rpower) = d5c0a963270193bc28b3fb80d64cc48d needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_ZArith_ZArith_dec) = 6b59ff589200dcfd4120b2a9c59d77eb needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Floats_FloatAxioms) = 4c1c4bf9e010f462d918b15efdd9893b needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Floats_FloatOps) = 6017df645abb891d794917487b2795b7 needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_Reals_RIneq) = 23f7d53602addb3134ec00d58874eafb needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_ZArith_BinIntDef) = 686cfa5514183f89948d31642564915d needed by flocq-3.4.2-3.fc35.x86_64
  - nothing provides ocamlx(NCoq_ZArith_Zorder) = 16e5ceb824a3d4a730612ec0a0224baa needed by flocq-3.4.2-3.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-35-x86_64 --config-opts mirrored=False install flocq


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Update System 2022-10-17 16:27:03 UTC
FEDORA-2022-09bfa5a489 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-09bfa5a489

Comment 2 Fedora Update System 2022-10-18 14:37:24 UTC
FEDORA-2022-09bfa5a489 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-09bfa5a489`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-09bfa5a489

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-10-26 17:34:49 UTC
FEDORA-2022-09bfa5a489 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.